]> arthur.barton.de Git - bup.git/blobdiff - t/mksock
configure: test for functional readline more carefully
[bup.git] / t / mksock
index ee2dbfe381c1ee2c72899000b28768b7b730bbfa..88372c3a882294294d18eb8292fb5513496056b7 100755 (executable)
--- a/t/mksock
+++ b/t/mksock
@@ -1,4 +1,11 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../config/bin/python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 
 import socket, sys